Commit bd5e1e42 authored by Daniel Díaz's avatar Daniel Díaz Committed by David S. Miller
Browse files

selftests/net: Find nettest in current directory

The `nettest` binary, built from `selftests/net/nettest.c`,
was expected to be found in the path during test execution of
`fcnal-test.sh` and `pmtu.sh`, leading to tests getting
skipped when the binary is not installed in the system, as can
be seen in these logs found in the wild [1]:

  # TEST: vti4: PMTU exceptions                                         [SKIP]
  [  350.600250] IPv6: ADDRCONF(NETDEV_CHANGE): veth_b: link becomes ready
  [  350.607421] IPv6: ADDRCONF(NETDEV_CHANGE): veth_a: link becomes ready
  # 'nettest' command not found; skipping tests
  #   xfrm6udp not supported
  # TEST: vti6: PMTU exceptions (ESP-in-UDP)                            [SKIP]
  [  351.605102] IPv6: ADDRCONF(NETDEV_CHANGE): veth_b: link becomes ready
  [  351.612243] IPv6: ADDRCONF(NETDEV_CHANGE): veth_a: link becomes ready
  # 'nettest' command not found; skipping tests
  #   xfrm4udp not supported

The `unicast_extensions.sh` tests also rely on `nettest`, but
it runs fine there because it looks for the binary in the
current working directory [2]:

The same mechanism that works for the Unicast extensions tests
is here copied over to the PMTU and functional tests.

[1] https://lkft.validation.linaro.org/scheduler/job/5839508#L6221
[2] https://lkft.validation.linaro.org/scheduler/job/5839508#L7958



Signed-off-by: default avatarDaniel Díaz <daniel.diaz@linaro.org>
Signed-off-by: default avatarDavid S. Miller <davem@davemloft.net>
parent 2158cfb0
Loading
Loading
Loading
Loading
+7 −4
Original line number Diff line number Diff line
@@ -4196,11 +4196,14 @@ elif [ "$TESTS" = "ipv6" ]; then
	TESTS="$TESTS_IPV6"
fi

which nettest >/dev/null
if [ $? -ne 0 ]; then
# nettest can be run from PATH or from same directory as this selftest
if ! which nettest >/dev/null; then
	PATH=$PWD:$PATH
	if ! which nettest >/dev/null; then
		echo "'nettest' command not found; skipping tests"
		exit $ksft_skip
	fi
fi

declare -i nfail=0
declare -i nsuccess=0
+6 −4
Original line number Diff line number Diff line
@@ -686,11 +686,13 @@ setup_xfrm() {
}

setup_nettest_xfrm() {
	which nettest >/dev/null
	if [ $? -ne 0 ]; then
	if ! which nettest >/dev/null; then
		PATH=$PWD:$PATH
		if ! which nettest >/dev/null; then
			echo "'nettest' command not found; skipping tests"
			return 1
		fi
	fi

	[ ${1} -eq 6 ] && proto="-6" || proto=""
	port=${2}